• 1(current)
  • 2
  • 3
  • 4
  • 5
  • 9
  •   
Release -  Amber now updated for Jarvis\v16
#1
You can download it from the official repo:

Edit 11/12/15 - Added working Events window, reworked subtitle selection (now behaves more like confluence), added rough x265 icons (I'm no artist), scrollbars for TV Channels and Recording windows.
Edit 05/01/16 - Added seek bar slider and indicator for non-LiveTV in Video OSD. Realigned some labels for PVR OSD (still messy, but will get re-worked later)
Edit 15/01/16 - Amber available on the official Kodi Jarvis repo
Edit 20/1/16 - Amber v2.2.2 released. Show lock status bar on title bar. Realigned Codec info.
Edit 12/2/16 - Amber v2.2.3 released. Fix parental lock to PVR manager, update video OSD, add toggle showing of plot info, fix watched icons on movie widget, remove unused files, minor bug-fixes
Edit 12/3/16 - Amber v2.2.4 released. OSD update, bugfixes and cleanups, translation update and auto pull by Transifex, aspect ratio fix of Favourites
Reply
#2
Before i upgrade to Jarvis and try this skin, has the subtitle selection been fixed in this new version of Amber? I started a thread on it, which has gotten some views, but no responses yet. I watch a lot of anime, and need to be able to cycle subtitles. Thx.
Reply
#3
(2015-12-09, 21:21)d3ejmz Wrote: Before i upgrade to Jarvis and try this skin, has the subtitle selection been fixed in this new version of Amber? I started a thread on it, which has gotten some views, but no responses yet. I watch a lot of anime, and need to be able to cycle subtitles. Thx.

No, not yet. I am hoping to have a look at that over the next week and see what I can do. If I come up with anything I will make sure it gets posted here. Thanks.
Reply
#4
Another quick question - have you managed to include library node support in the new version?

Can't check yet, as my home set-up is using MySQL and my main box is a Pi2, so I need to wait until Jarvis release and OpenElec catch-up before then (as I'd prefer a stable release rather than Milhouse's ones as my family use the box too).
| Banned add-ons (wiki) | Forum rules (wiki) | First time user (wiki) | FAQs (wiki) | Troubleshooting (wiki) | Add-ons (wiki) | Free content (wiki) | Debug Log (wiki) | Free Movies/TV Shows |
Reply
#5
(2015-12-09, 21:55)joethepartylion Wrote:
(2015-12-09, 21:21)d3ejmz Wrote: Before i upgrade to Jarvis and try this skin, has the subtitle selection been fixed in this new version of Amber? I started a thread on it, which has gotten some views, but no responses yet. I watch a lot of anime, and need to be able to cycle subtitles. Thx.

No, not yet. I am hoping to have a look at that over the next week and see what I can do. If I come up with anything I will make sure it gets posted here. Thanks.

OK, I've had a go at the subtitle fix (thanks to Confluence for the majority of the code.) Can you check to see if it works for you?

Thanks
Reply
#6
(2015-12-11, 12:16)joethepartylion Wrote: OK, I've had a go at the subtitle fix (thanks to Confluence for the majority of the code.) Can you check to see if it works for you?

Thanks
Will do tonight, thanks

Edit to add:
the version at the link above is 2.2.0 which still only has enable as an option... no subtitle cycling. If there is a newer version, pls link in OP
Reply
#7
(2015-12-11, 19:39)d3ejmz Wrote: the version at the link above is 2.2.0 which still only has enable as an option... no subtitle cycling. If there is a newer version, pls link in OP

I haven't bumped the version number yet but if you replace the files in your 1080i folder with those on GitHub you should get the updates if you reload the skin/reboot.

Once I have the ADSP Dialogs complete I will bump the Version and try to submit to the official repo if it seems to be working for people.
Reply
#8
(2015-12-10, 18:53)DarrenHill Wrote: Another quick question - have you managed to include library node support in the new version?

I haven't looked at this before, are you able to give me some links/info on what you are looking for and I'll see what I can do once I have the Jarvis changes complete?
Reply
#9
Support for these - video nodes (wiki). I think they've been expanded a bit to also include audio nodes (wiki) too, although it's movies and TV shows that I'm personally interested in.
| Banned add-ons (wiki) | Forum rules (wiki) | First time user (wiki) | FAQs (wiki) | Troubleshooting (wiki) | Add-ons (wiki) | Free content (wiki) | Debug Log (wiki) | Free Movies/TV Shows |
Reply
#10
I'm a relatively-new user. Since Jarvis doesn't list Amber as a native skin yet, how can I easily download and install it? I downloaded the zip file but not sure what I need to do within Kodi after that.
Reply
#11
I'm getting errors when scrolling past the Favourites section with Amber for Jarvis.
Not really sure if Amber-related, but maybe you could take a look:

19:11:43 T:1587348400 ERROR: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
- NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
Error Type: <type 'exceptions.ImportError'>
Error Contents: /usr/local/lib/python2.7/lib-dynload/pyexpat.so: undefined symbol: PyUnicodeUCS2_DecodeUTF8
Traceback (most recent call last):
File "/home/xbian/.kodi/addons/script.favourites/default.py", line 176, in <module>
Main()
File "/home/xbian/.kodi/addons/script.favourites/default.py", line 22, in __init__
found, favourites = self._read_file()
File "/home/xbian/.kodi/addons/script.favourites/default.py", line 46, in _read_file
self.doc = parse(self.fav_file)
File "/usr/local/lib/python2.7/xml/dom/minidom.py", line 1917, in parse
from xml.dom import expatbuilder
File "/usr/local/lib/python2.7/xml/dom/expatbuilder.py", line 32, in <module>
from xml.parsers import expat
File "/usr/local/lib/python2.7/xml/parsers/expat.py", line 4, in <module>
from pyexpat import *
ImportError: /usr/local/lib/python2.7/lib-dynload/pyexpat.so: undefined symbol: PyUnicodeUCS2_DecodeUTF8
-->End of Python script error report<--
Reply
#12
(2015-12-16, 20:39)Smultie Wrote: I'm getting errors when scrolling past the Favourites section with Amber for Jarvis.
Not really sure if Amber-related, but maybe you could take a look:

I can't seem to reproduce this and it is working fine for me, the scripts.favourites version I have installed is 6.0.3, is yours the same?

It looks like it is a add-on issue but I can't be sure.

Thanks, Kevin.
Reply
#13
I'm also running 6.0.3
Strange, I'll try to dive deeper into the problem.
Might also have something to do with the fact that I upgraded my Python install from 2.7.9 to 2.7.11 today?!
Reply
#14
Is "go plex" still working in new amber for javis??

Go plex works so damn well with PLEXBMC I am scared to try 16.3 (but TV live support seems so slick)
Reply
#15
(2015-12-26, 18:27)sjchmura Wrote: Is "go plex" still working in new amber for javis??

Go plex works so damn well with PLEXBMC I am scared to try 16.3 (but TV live support seems so slick)


Smile

Go PLEX still works with PBMC Isregard branch
Reply
  • 1(current)
  • 2
  • 3
  • 4
  • 5
  • 9
  •   
 
Thread Rating:
  • 5 Vote(s) - 3.8 Average



Logout Mark Read Team Forum Stats Members Help
Amber now updated for Jarvis\v163.85